Package org.apache.sysds.runtime.util

# Class PartitionFileManager

java.lang.Object
org.apache.sysds.runtime.util.PartitionFileManager

public class PartitionFileManager extends Object
reference-counted file manager for SystemDS partition files. Prevents deletion while concurrent readers are active.

## Constructor Summary

Constructors
Constructor
Description
`PartitionFileManager()`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PartitionFileManager

public PartitionFileManager()